WordPress.org

Support

Support » Plugins and Hacks » Error during MySQL Plugin Install

Error during MySQL Plugin Install

  • ERROR 1126 (HY000): Can’t open shared library ‘/usr/lib64/mysql/plugin/ha-clouse-5.5.20.so’ (errno: 13 cannot open shared object file: No such file or directory)

    Get this error when trying to install the MySql plugin. Not working on my ec2 config using the standard linux x64 ami.

Viewing 15 replies - 1 through 15 (of 21 total)
  • What version is your WordPress and also what version is your mysql?

    Good morning. We’re running WP 3.3.2 and mysql version is 5.5.20 according to the mysql interface when asked.

    Any help is greatly appreciated as this plugin will be the final touches on our migration to EC2. Thanks in advance

    mysql> install plugin clouse soname ‘ha_clouse-5.5.20.so’;
    ERROR 1126 (HY000): Can’t open shared library ‘/usr/lib64/mysql/plugin/ha_clouse-5.5.20.so’ (errno: 13 undefined symbol: my_pthread_fastmutex_init)

    This is a more detailed error message (the original got cut off)

    I was thinking of trying an earlier version of the x64 linux binary

    I tried the 1.0b.1.0 version as well, same error, my_pthread_fast_mutex_init error when trying to install the plugin for MySQL.

    Oblaksoft offers an ami binary with ClouSE already installed, but how could I know that configuration? In other words, when I build a server instance, I know everything I’ve loaded and every tweak I’ve made. How can I ensure that the ami from this group is in the proper condition for a production site? Does the fact that amazon stores the ami lend credibility to it?

    Hi DeeJay176,

    Let me try to reproduce the problem and I’ll get back to you.

    The AMI is built by OblakSoft and is just the standard Amazon Linux AMI with MySQL 5.5.19 (and ClouSE) installed.

    Artem

    I tried MySQL 5.5.20 x64 with ClouSE 1.0b.1.1 and was able to run it. Here are the steps that I did:

    1. Used Amazon Linux AMI.
    2. Got MySQL 5.5.20 tar from mysql.com: wget http://downloads.mysql.com/archives/mysql-5.5/mysql-5.5.20-linux2.6-x86_64.tar.gz
    3. Followed the instructions in the INSTALL-BINARY file
    4. tar xzf mysql-5.5.20-linux2.6-x86_64.tar.gz
    5. sudo mv mysql-5.5.20-linux2.6-x86_64 /usr/local/
    6. cd /usr/local/
    7. sudo chown -R mysql:mysql mysql-5.5.20-linux2.6-x86_64
    8. sudo ln -s mysql-5.5.20-linux2.6-x86_64 mysql
    9. sudo mysql/scripts/mysql_install_db --user=mysql
    10. sudo cp clouse-1.0b.1.1-linux-x64/ha_clouse-5.5.20.so /usr/local/mysql/lib/plugin/
    11. sudo cp clouse-1.0b.1.1-linux-x64/clouse.so /usr/local/mysql/lib/plugin/
    12. sudo chown mysql:mysql /usr/local/mysql/lib/plugin/*
    13. Configured ClouSE variables in /etc/my.cnf
    14. Started mysqld
    15. mysql -u root
    16. mysql> install plugin clouse soname 'ha_clouse-5.5.20.so';

    It installed successfully.

    It looks like the MySQL binaries that you use were compiled with MY_PTHREAD_FASTMUTEX undefined, which doesn’t match the ‘official’ build (the ones that are available from mysql.com).

    Let me know if this doesn’t resolve your issues.

    Artem

    Thank you Artem I will have a chance to try this over the weekend. I believe I used the standard yum install packages. Very much appreciated that you spent the time to do this. +1

    You’re welcome. Let me know if you have any problems with it and we’ll figure out a way to make it work 🙂

    Artem

    mysql> install plugin clouse soname ‘ha_clouse-5.5.20.so’;
    ERROR 1126 (HY000): Can’t open shared library ‘/usr/lib64/mysql/plugin/ha_clouse-5.5.20.so’ (errno: 2 undefined symbol: my_pthread_fastmutex_init)

    Still get this after following your instructions to the letter except for 1 step. Step #9 required I cd into the mysql directory and execute the command from there (omitting the mysql/)

    All steps worked up until the plugin install.

    Interesting.

    Can you give me SSH access to the box to snoop around? Let’s take it offline, send me an email to [ email redacted ].

    Artem

    install plugin clouse soname ‘ha_clouse-5.5.24.so’;
    ERROR 1126 (HY000): Can’t open shared library ‘/usr/lib/mysql/plugin/ha_clouse-5.5.24.so’ (errno: 2 /usr/lib/mysql/plugin/ha_clouse-5.5.24.so: undefined symbol: my_pthread_fastmutex_init)

    I get the same error message. I use UBUNTU 12.04 LTS 32 bit and I use clouse-1.0b.1.2-linux-x86 version of the plugin.

    mysql> SELECT version();
    +————————-+
    | version() |
    +————————-+
    | 5.5.24-0ubuntu0.12.04.1 |

    Thanks,
    Mark

    Hi Gurumark
    The problem is the base AMI’s from AWS don’t have the correct base compile to work with ClouSE. You need to pull down the original MySQL libraries and compile them locally. Then the .so files recognize the fastmutex symbol.

    I’m not using ubuntu, but similar to:

    Got MySQL 5.5.20 tar from mysql.com:
    wget http://downloads.mysql.com/archives/mysql-5.5/mysql-5.5.20-linux2.6-x86_64.tar.gz
    Followed the instructions in the INSTALL-BINARY file:

    tar xzf mysql-5.5.20-linux2.6-x86_64.tar.gz
    sudo mv mysql-5.5.20-linux2.6-x86_64 /usr/local/
    cd /usr/local/
    sudo chown -R mysql:mysql mysql-5.5.20-linux2.6-x86_64
    sudo ln -s mysql-5.5.20-linux2.6-x86_64 mysql
    sudo mysql/scripts/mysql_install_db –user=mysql

    If you do this procedure, make sure you’re then running the correct MySQL and are using the correct plugin directory. It will most likely change.

    Let me know if this helps, the rest of the config should be more or less same as before.

    Gurumark, you may not be able to run the last step (install) from the directory indicated… I recall now I had to run the install from inside the mysql/scripts directory

    Thanks DeeJay176, I will give it a go and see.

    i have this same error and i have spent a ton of time compiling and installing mysql 5.5.24 …32 bit ….

    i am getting these errors on the last step Artem can you please help? would i make a difference if i installed 5.5.20 instead of 5.5.24 ?

    mysql> install plugin clouse soname ‘ha_clouse-5.5.24.so’;
    ERROR 1126 (HY000): Can’t open shared library ‘/usr/local/mysql5/lib/plugin/ha_clouse-5.5.24.so’ (errno: 13 /usr/local/mysql5/lib/
    plugin/ha_clouse-5.5.24.so: undefined symbol: my_pthread_fastmutex_init)

Viewing 15 replies - 1 through 15 (of 21 total)
  • The topic ‘Error during MySQL Plugin Install’ is closed to new replies.
Skip to toolbar